package com.qxgmat.dto.response;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserQuestion;
import com.qxgmat.dto.extend.QuestionBaseExtendDto;
import com.qxgmat.dto.extend.SentenceQuestionBaseExtendDto;
import com.qxgmat.dto.extend.SentenceQuestionDetailExtendDto;

@Dto(entity = UserQuestion.class)
public class UserSentenceQuestionBaseDto {

    private Integer id;

    private Integer questionId;

    private Integer questionNoId;

    private QuestionBaseExtendDto question;

    private SentenceQuestionBaseExtendDto sentence;

    private Boolean collect;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Integer questionId) {
        this.questionId = questionId;
    }

    public Integer getQuestionNoId() {
        return questionNoId;
    }

    public void setQuestionNoId(Integer questionNoId) {
        this.questionNoId = questionNoId;
    }

    public SentenceQuestionBaseExtendDto getSentence() {
        return sentence;
    }

    public void setSentence(SentenceQuestionBaseExtendDto sentence) {
        this.sentence = sentence;
    }

    public QuestionBaseExtendDto getQuestion() {
        return question;
    }

    public void setQuestion(QuestionBaseExtendDto question) {
        this.question = question;
    }

    public Boolean getCollect() {
        return collect;
    }

    public void setCollect(Boolean collect) {
        this.collect = collect;
    }
}
